/*Testing the MDY function*/
data _null_;
   today=mdy(5,3,2013);
   NextStarWarsDay=MDY(5,4,year(today));
   put today=mmddyy. NextStarWarsDay=mmddyy10.;
   put;
   today=mdy(5,6,2013);
   NextStarWarsDay=MDY(5,4,year(today)+1);
   put today=mmddyy. NextStarWarsDay=mmddyy10.;
   put;
run;

/*Testing the BOOLEAN value*/
data _null_;
   today=mdy(5,3,2013);
   increment=mdy(5,4,year(today))<today;
   put today=mmddyy10. increment=;
   put;
   today=mdy(5,6,2013);
   increment=mdy(5,4,year(today))<today;
   put today=mmddyy10. increment=;
   put;
run;

/*Testing MDY with the BOOLEAN value*/
data _null_;
/*   today=mdy(5,3,2013);*/
   today=mdy(5,6,2013);
   NextStarWarsDay=MDY(5,4,year(today)+(mdy(5,4,year(today))<today));
   put today=mmddyy. NextStarWarsDay=mmddyy10.;
run;

/*Final MDY expression with BOOLEAN value and TODAY function*/
data _null_;
   NextStarWarsDay=MDY(5,4,year(today())+(mdy(5,4,year(today()))<today()));
   put NextStarWarsDay=mmddyy10.;
run;
